package com.madeu.crm.settings.code.mapper;

import org.apache.ibatis.annotations.Mapper;
import java.util.HashMap;
import java.util.List;

@Mapper
public interface CodeMapper {
    // 1. 코드 그룹 리스트
    List<HashMap<String, Object>> getCodeGroupList(HashMap<String, Object> paramMap);

    // 2. 코드 그룹 상세 단건
    HashMap<String, Object> getCodeGroup(HashMap<String, Object> paramMap);

    // 3. 코드 그룹 확인용 (중복검사)
    int checkGrpCd(HashMap<String, Object> paramMap);

    // 4. 코드 그룹 등록
    int insertCodeGroup(HashMap<String, Object> paramMap);

    // 5. 코드 그룹 수정
    int updateCodeGroup(HashMap<String, Object> paramMap);

    // 6. 코드 그룹 삭제 (논리 삭제)
    int deleteCodeGroup(HashMap<String, Object> paramMap);

    // 7. 상세 코드 리스트
    List<HashMap<String, Object>> getCodeList(HashMap<String, Object> paramMap);

    // 8. 상세 코드 단건
    HashMap<String, Object> getCode(HashMap<String, Object> paramMap);

    // 9. 상세 코드 확인용 (중복검사)
    int checkCodeCd(HashMap<String, Object> paramMap);

    // 10. 상세 코드 등록
    int insertCode(HashMap<String, Object> paramMap);

    // 11. 상세 코드 수정
    int updateCode(HashMap<String, Object> paramMap);

    // 12. 상세 코드 삭제 (논리 삭제)
    int deleteCode(HashMap<String, Object> paramMap);
}
